// focusthread.h: Schnittstelle für die Klasse DefocusThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef FOCUSTHREAD_H
#define FOCUSTHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class FocusThread : public QThread
{

public:
	void setPanel( AMCMirrorPanel* p_pPanel );
	AMCMirrorPanel* getPanel() { return m_pPanel; };
	FocusThread( QObject* p_pReceiver );
	virtual ~FocusThread();

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
};

#endif
